> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoking an Access Method

> Learn how to revoke an access method so that a user can no longer use it.

To revoke an access method, delete it.

<Tabs>
  <Tab title="JavaScript">
    **Code:**

    ```javascript theme={null}
    await seam.accessMethods.delete({
      access_method_id: '3f10d86c-526b-4b85-8788-cc1a74411b71',
    })
    ```

    **Output:**

    ```javascript theme={null}
    // void
    ```
  </Tab>

  <Tab title="cURL">
    **Code:**

    ```curl theme={null}
    curl --include --request POST "https://connect.getseam.com/access_methods/delete" \
      --header "Authorization: Bearer $SEAM_API_KEY" \
      --json @- <<EOF
    {
      "access_method_id": "3f10d86c-526b-4b85-8788-cc1a74411b71"
    }
    EOF
    ```

    **Output:**

    ```curl theme={null}
    {}
    ```
  </Tab>

  <Tab title="Python">
    **Code:**

    ```python theme={null}
    seam.access_methods.delete(access_method_id="3f10d86c-526b-4b85-8788-cc1a74411b71")
    ```

    **Output:**

    ```python theme={null}
    None
    ```
  </Tab>

  <Tab title="Ruby">
    **Code:**

    ```ruby theme={null}
    seam.access_methods.delete(access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71")
    ```

    **Output:**

    ```ruby theme={null}
    nil
    ```
  </Tab>

  <Tab title="PHP">
    **Code:**

    ```php theme={null}
    $seam->access_methods->delete(
        access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71"
    );
    ```

    **Output:**

    ```php theme={null}
    ```
  </Tab>

  <Tab title="C#">
    **Code:**

    ```csharp theme={null}
    // Coming Soon!
    ```

    **Output:**

    ```json theme={null}
    // Coming Soon!
    ```
  </Tab>
</Tabs>
